Bug 254281 - Kernel Oops, list_add corruption
Kernel Oops, list_add corruption
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-25 10:36 EDT by Jérôme Benoit
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 10:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspci -v output (3.82 KB, text/plain)
2007-08-25 10:36 EDT, Jérôme Benoit
no flags Details

  None (edit)
Description Jérôme Benoit 2007-08-25 10:36:41 EDT
Description of problem:
Kernel Oops.

Version-Release number of selected component (if applicable):
kernel-2.6.22.4-65.fc7

How reproducible:
It has happened just once ...
  
Actual results:
Aug 25 10:45:01 fraggle kernel: list_add corruption. prev->next should be next
(d4f46d14), but was d4f46f14. (prev=c203781c).
Aug 25 10:45:02 fraggle kernel: ------------[ cut here ]------------
Aug 25 10:45:02 fraggle kernel: kernel BUG at lib/list_debug.c:33!
Aug 25 10:45:02 fraggle kernel: invalid opcode: 0000 [#1]
Aug 25 10:45:02 fraggle kernel: SMP 
Aug 25 10:45:02 fraggle kernel: last sysfs file:
/class/i2c-adapter/i2c-0/0-002d/beep_enable
Aug 25 10:45:02 fraggle kernel: Modules linked in: ipt_MASQUERADE iptable_nat
nf_nat nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink ipt_REJECT bridge xt_t
cpudp iptable_filter ip_tables x_tables nfsd exportfs lockd nfs_acl autofs4
w83781d hwmon_vid hidp rfcomm l2cap bluetooth sunrpc ipv6 dm_multipath video sbs 
button dock battery ac snd_usb_audio snd_usb_lib snd_hwdep snd_ens1371 gameport
snd_rawmidi sr_mod snd_ac97_codec cdrom ac97_bus snd_seq_dummy i2c_viapro ata
_generic snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer via686a snd hwmon soundcore rtc_cmos i2c_isa snd_p
age_alloc parport_pc natsemi i2c_core serio_raw pata_via parport floppy sg
dm_snapshot dm_zero dm_mirror dm_mod pata_pdc202xx_old libata sd_mod scsi_mod raid
456 xor raid1 ext3 jbd mbcache ehci_hcd ohci_hcd uhci_hcd
Aug 25 10:45:02 fraggle kernel: CPU:    0
Aug 25 10:45:02 fraggle kernel: EIP:    0060:[<c04edfb1>]    Not tainted VLI
Aug 25 10:45:02 fraggle kernel: EFLAGS: 00210286   (2.6.22.4-65.fc7 #1)
Aug 25 10:45:02 fraggle kernel: EIP is at __list_add+0x48/0x5c
Aug 25 10:45:02 fraggle kernel: eax: 00000061   ebx: cb851d44   ecx: 00200086  
edx: 00200000
Aug 25 10:45:02 fraggle kernel: esi: d4f46f14   edi: c20377e8   ebp: c399c000  
esp: c76f1ef8
Aug 25 10:45:02 fraggle kernel: ds: 007b   es: 007b   fs: 00d8  gs: 0033  ss: 0068
Aug 25 10:45:02 fraggle kernel: Process munin-node (pid: 20355, ti=c76f1000
task=d22f8000 task.ti=c76f1000)
Aug 25 10:45:02 fraggle kernel: Stack: c06b06cc d4f46d14 d4f46f14 c203781c
d4f46d10 cb851d10 c046c40b cb851d10 
Aug 25 10:45:02 fraggle kernel:        00000002 c04265e1 cb851c78 00200296
00d36350 c76f1fb8 bfe29f48 01200011 
Aug 25 10:45:02 fraggle kernel:        00000000 cdfda000 cdfda000 c399c000
cb851cc4 cb851cd4 cb851cd0 c399c700 
Aug 25 10:45:02 fraggle kernel: Call Trace:
Aug 25 10:45:02 fraggle kernel:  [<c046c40b>] anon_vma_link+0x20/0x27
Aug 25 10:45:02 fraggle kernel:  [<c04265e1>] copy_process+0xa4b/0x1150
Aug 25 10:45:02 fraggle kernel:  [<c0426d37>] do_fork+0x51/0x17e
Aug 25 10:45:02 fraggle kernel:  [<c0403211>] sys_clone+0x36/0x3b
Aug 25 10:45:02 fraggle kernel:  [<c0404f8e>] syscall_call+0x7/0xb
Aug 25 10:45:02 fraggle kernel:  =======================
Aug 25 10:45:02 fraggle kernel: Code: 7c 06 6b c0 e8 20 a2 f3 ff 0f 0b eb fe 8b
32 39 ce 74 1c 89 54 24 0c 89 74 24 08 89 4c 24 04 c7 04 24 cc 06 6b c0 e8 fe
 a1 f3 ff <0f> 0b eb fe 89 59 04 89 0b 89 43 04 89 18 83 c4 10 5b 5e c3 8b 
Aug 25 10:45:02 fraggle kernel: EIP: [<c04edfb1>] __list_add+0x48/0x5c SS:ESP
0068:c76f1ef8
Comment 1 Jérôme Benoit 2007-08-25 10:36:41 EDT
Created attachment 172521 [details]
lspci -v output
Comment 2 Dave Jones 2007-08-27 09:42:56 EDT
"should be next (d4f46d14), but was d4f46f14."

A single bit flipped. This could be a sign of bad memory, or other hardware
failure.  I suggest running a test with memtest86+ for a while.
Comment 3 Jérôme Benoit 2007-08-27 10:11:22 EDT
Yup, 

I'm closing this bug. I've filled this bug half asleep ... I've just finished to
run a full hardware check and part of the memory is dying. Need to know now
which part is dying ...

thks.  

Note You need to log in before you can comment on or make changes to this bug.